Package org.apache.sling.event.impl.jobs.queues

# Class JobExecutionContextImpl

java.lang.Object
org.apache.sling.event.impl.jobs.queues.JobExecutionContextImpl

All Implemented Interfaces:
  `org.apache.sling.event.jobs.consumer.JobExecutionContext`

public class JobExecutionContextImpl extends Object implements org.apache.sling.event.jobs.consumer.JobExecutionContext
Implementation of the job execution context passed to job executors.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`JobExecutionContextImpl.ASyncHandler`
Call back interface to the queue.

## Nested classes/interfaces inherited from interface org.apache.sling.event.jobs.consumer.JobExecutionContext

`org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`

## Constructor Summary

Constructors
Constructor
Description
`JobExecutionContextImpl(JobHandler handler, JobExecutionContextImpl.ASyncHandler asyncHandler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`asyncProcessingFinished(org.apache.sling.event.jobs.consumer.JobExecutionResult result)`
`void`
`incrementProgressCount(int steps)`
`void`
`initProgress(int steps, long eta)`
`boolean`
`isStopped()`
`void`
`log(@NotNull String message, Object... args)`
`void`
`markAsync()`
`org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder`
`result()`
`void`
`setProperty(@NotNull String name, Object value)`
`void`
`updateProgress(long eta)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JobExecutionContextImpl

public JobExecutionContextImpl(JobHandler handler, JobExecutionContextImpl.ASyncHandler asyncHandler)

## Method Details

### markAsync

public void markAsync()

### initProgress

public void initProgress(int steps, long eta)

Specified by:
  `initProgress` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext`

### incrementProgressCount

public void incrementProgressCount(int steps)

Specified by:
  `incrementProgressCount` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext`

### updateProgress

public void updateProgress(long eta)

Specified by:
  `updateProgress` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext`

### setProperty

public void setProperty(@NotNull @NotNull String name, Object value)

Specified by:
  `setProperty` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext`

### log

public void log(@NotNull @NotNull String message, Object... args)

Specified by:
  `log` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext`

### isStopped

public boolean isStopped()

Specified by:
  `isStopped` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext`

### asyncProcessingFinished

public void asyncProcessingFinished(org.apache.sling.event.jobs.consumer.JobExecutionResult result)

Specified by:
  `asyncProcessingFinished` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext`

### result

public org.apache.sling.event.jobs.consumer.JobExecutionContext.ResultBuilder result()

Specified by:
  `result` in interface `org.apache.sling.event.jobs.consumer.JobExecutionContext`